package org.jeecg.ctop.finance.policy.service.impl;

import com.github.pagehelper.PageHelper;
import org.jeecg.ctop.finance.policy.entity.CwjsPolicyInfo;
import org.jeecg.ctop.finance.policy.mapper.CwjsPolicyInfoMapper;
import org.jeecg.ctop.finance.policy.service.ICwjsPolicyInfoService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.*;

/**
 * 政策信息表
 * @author jeecg-boot
 * 2021-07-27
 * @version V1.0
 */
@Service
public class CwjsPolicyInfoServiceImpl extends ServiceImpl<CwjsPolicyInfoMapper, CwjsPolicyInfo> implements ICwjsPolicyInfoService {
    @Resource
    CwjsPolicyInfoMapper policyInfoMapper;

    @Override
    public List<CwjsPolicyInfo> queryPageList(CwjsPolicyInfo policyInfo){

        List<CwjsPolicyInfo> policyInfoList = policyInfoMapper.selectPolicyInfos(policyInfo);
        List<CwjsPolicyInfo> result = new ArrayList<>();
        //1.过滤所有已通过审核的政策到结果表中
        policyInfoList.forEach(policy->{
            if(policy.getApprovedStatus() == 2){
                policy.getPolicyProductName().add(policy.getProductName());
                result.add(policy);
            }
        });
        policyInfoList.removeAll(result);
        Map<Integer,CwjsPolicyInfo> map = new HashMap<>();
        //2.未通过审核的政策需要通过政策id来进行聚合，把产品名称放到同一个列表里
        policyInfoList.forEach(policy->{
            if(map.containsKey(policy.getId())){
                map.get(policy.getId()).getPolicyProductName().add(policy.getProductName());
            }else{
                policy.getPolicyProductName().add(policy.getProductName());
                map.put(policy.getId(),policy);
            }
        });
        //3.遍历聚合完成后的map，每一个key对应一条不通过的政策的数据，放入到结果集返回
        Set<Integer> keys = map.keySet();
        for(Integer key : keys){
            result.add(map.get(key));
        }
        return result;
    }
}
