package org.jeecg.ctop.finance.settlement.controller;

import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.ctop.finance.settlement.entity.vo.SettlementFileParamsVo;
import org.jeecg.ctop.finance.settlement.service.IReportSettlementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;


/**
 * 导出 结算单 利润表
 * Administrator
 * 2021/7/28
 **/

@Slf4j
@RestController
@RequestMapping("/finance/exportReportController")
public class ExportReportController {

    @Autowired
    private IReportSettlementService reportSettlementService;


    @ApiOperation(value = "财务结算-结算单导出-头条", notes = "财务结算-结算单导出-头条")
    @GetMapping(value = "/settlementReportBytedance")
    public Result settlementReportBytedance(SettlementFileParamsVo paramsVo, HttpServletResponse response) {

        return reportSettlementService.settlementReportBytedance(paramsVo,response);

    }


    @ApiOperation(value = "财务结算-结算单导出-快手", notes = "财务结算-结算单导出-快手")
    @GetMapping(value = "/settlementReportKuaiShou")
    public Result settlementReportKuaiShou(SettlementFileParamsVo paramsVo, HttpServletResponse response) {

        return reportSettlementService.settlementReportKuaiShou(paramsVo,response);

    }


}