package org.jeecg.ctop.finance.settlement.controller;

import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.ctop.finance.settlement.entity.pojo.ctopCwjsSettlementInfo;


import org.jeecg.ctop.finance.settlement.service.ISettlementInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;


/**
 * Administrator
 * 2021/7/28
 **/

@Slf4j
@RestController
@RequestMapping("/finance/settLementController")
public class SettlementController {

    @Autowired
    private ISettlementInfoService settlementInfoService;

    @ApiOperation(value="财务结算-账户列表查询", notes="财务结算-账户列表查询")
    @GetMapping(value = "/getSettlementList")
    public Result getSettlementList(ctopCwjsSettlementInfo settlementInfo,
                                                                      @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
                                                                      @RequestParam(name="pageSize", defaultValue="10") Integer pageSize) {
        //TODO 根据用户角色查询列表
       return settlementInfoService.getSettlementList(settlementInfo,pageNo,pageSize);
    }


    @ApiOperation(value="财务结算-修改账户状态账户(0-开 1-关)", notes="财务结算-修改账户状态账户(0-开 1-关)")
    @GetMapping(value = "/updSettlementStatusById")
    public Result updSettlementStatusById(@RequestParam Long id,@RequestParam Integer status) {
       return settlementInfoService.updSettlementStatusById(id,status);
    }


    @ApiOperation(value="财务结算-删除", notes="财务结算-删除")
    @GetMapping(value = "/deleteSettlementById")
    public Result deleteSettlementById(@RequestParam Long id) {
       return settlementInfoService.deleteSettlementById(id);
    }


    @ApiOperation(value="财务结算-上传账户", notes="财务结算-上传账户")
    @PostMapping("/settlementAccountImport")
    public Result settlementAccountImport(ctopCwjsSettlementInfo settlementInfo,@RequestParam("file") MultipartFile files) {

        if (files.isEmpty()){
            return Result.errorMsg("附件不能为空！");
        }
        return settlementInfoService.settlementAccountImport(settlementInfo,files);
    }


}