package org.jeecg.ctop.finance.settlement.controller;

import com.github.pagehelper.PageInfo;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.ctop.finance.policy.utils.Check;
import org.jeecg.ctop.finance.settlement.entity.pojo.ctopCwjsSettlementFileInfo;
import org.jeecg.ctop.finance.settlement.entity.pojo.ctopCwjsSettlementInfo;
import org.jeecg.ctop.finance.settlement.entity.vo.SettlementFileParamsVo;
import org.jeecg.ctop.finance.settlement.service.ISettlementFileInfoService;
import org.jeecg.ctop.finance.settlement.service.ISettlementInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;


/**
 * Administrator
 * 2021/7/28
 **/

@Slf4j
@RestController
@RequestMapping("/finance/settLementFileController")
public class SettlementFileController {

    @Autowired
    private ISettlementFileInfoService settlementFileInfoService;

    @ApiOperation(value="结算单-结算单列表查询", notes="结算单-结算单列表查询")
    @GetMapping(value = "/getSettlementSheetList")
    public Result<PageInfo<Map<String,String>>> getSettlementSheetList(SettlementFileParamsVo paramsVo,
                                                                       @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
                                                                       @RequestParam(name="pageSize", defaultValue="10") Integer pageSize) {
        //TODO 根据用户角色查询列表
       return settlementFileInfoService.getSettlementSheetList(paramsVo,pageNo,pageSize);
    }



    @ApiOperation(value="结算单-删除", notes="结算单-删除")
    @GetMapping(value = "/deleteSettlementFile")
    public Result deleteSettlementFile(SettlementFileParamsVo paramsVo) {
        return settlementFileInfoService.deleteSettlementFile(paramsVo);
    }



    @ApiOperation(value="结算单-账户截图上传", notes="结算单-账户截图上传")
    @PostMapping(value = "/insertAccountImages")
    public Result insertAccountImages(@RequestBody ctopCwjsSettlementFileInfo settlementFileInfo) {
        if (Check.isNull(settlementFileInfo.getSettlementList())){
            return Result.errorMsg("账户截图不能为空！");
        }
        return settlementFileInfoService.insertAccountImages(settlementFileInfo);
    }


    @ApiOperation(value="结算单-查询账户数量以及图片数量", notes="结算单-查询账户数量以及图片数量")
    @PostMapping(value = "/getAccountNumAndImgNum")
    public Result getAccountNumAndImgNum(@RequestBody SettlementFileParamsVo paramsVo) {
        return settlementFileInfoService.getAccountNumAndImgNum(paramsVo);
    }








}