package org.jeecg.ctop.finance.settlement.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.lettuce.core.dynamic.annotation.Param;
import org.jeecg.ctop.finance.settlement.entity.pojo.ctopCwjsSettlementInfo;
import org.jeecg.ctop.finance.settlement.entity.vo.SettlementFileParamsVo;
import org.jeecg.ctop.finance.settlement.entity.vo.SettlementReportBytedanceVo;
import org.jeecg.ctop.finance.settlement.entity.vo.SettlementReportKuaiShouVo;

import java.util.List;


/**
 *
 * @description:
 *
 * @return:
 * @author: zianY
 * @time: 2021/7/28 17:07
 */
public interface ReportSettlementMapper {

    /**
     *获取头条 账户 日流水信息 根据账户id 和 年月 查询数据
     * @param
     * @return
     */
    List<SettlementReportBytedanceVo> getAccountTransactionDayBytedance(SettlementFileParamsVo paramsVo);

    /**
     * 获取快手 账户 日流水信息 根据账户id 和 年月 查询数据
     * @param paramsVo
     * @return
     */
    List<SettlementReportKuaiShouVo> getAccountTransactionDayKuaiShou(SettlementFileParamsVo paramsVo);


    /**
     * 查询 头条 账户id
     * @return
     */
   List<String> getAccountIdBytedance(SettlementFileParamsVo paramsVo);

    /**
     * 查询 头条 账户 图片
     * @param accountId
     * @return
     */
   List<String> getAccountImagesBytedance(String accountId);

}
